// Copyright (c) 2020 Uber Technologies, Inc.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: uber/cadence/api/v1/error.proto

package apiv1

import (
	reflect "reflect"
	sync "sync"

	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type WorkflowExecutionAlreadyStartedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StartRequestId string `protobuf:"bytes,1,opt,name=start_request_id,json=startRequestId,proto3" json:"start_request_id,omitempty"`
	RunId          string `protobuf:"bytes,2,opt,name=run_id,json=runId,proto3" json:"run_id,omitempty"`
}

func (x *WorkflowExecutionAlreadyStartedError) Reset() {
	*x = WorkflowExecutionAlreadyStartedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WorkflowExecutionAlreadyStartedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WorkflowExecutionAlreadyStartedError) ProtoMessage() {}

func (x *WorkflowExecutionAlreadyStartedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WorkflowExecutionAlreadyStartedError.ProtoReflect.Descriptor instead.
func (*WorkflowExecutionAlreadyStartedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{0}
}

func (x *WorkflowExecutionAlreadyStartedError) GetStartRequestId() string {
	if x != nil {
		return x.StartRequestId
	}
	return ""
}

func (x *WorkflowExecutionAlreadyStartedError) GetRunId() string {
	if x != nil {
		return x.RunId
	}
	return ""
}

type EntityNotExistsError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CurrentCluster string `protobuf:"bytes,1,opt,name=current_cluster,json=currentCluster,proto3" json:"current_cluster,omitempty"`
	ActiveCluster  string `protobuf:"bytes,2,opt,name=active_cluster,json=activeCluster,proto3" json:"active_cluster,omitempty"`
}

func (x *EntityNotExistsError) Reset() {
	*x = EntityNotExistsError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EntityNotExistsError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EntityNotExistsError) ProtoMessage() {}

func (x *EntityNotExistsError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EntityNotExistsError.ProtoReflect.Descriptor instead.
func (*EntityNotExistsError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{1}
}

func (x *EntityNotExistsError) GetCurrentCluster() string {
	if x != nil {
		return x.CurrentCluster
	}
	return ""
}

func (x *EntityNotExistsError) GetActiveCluster() string {
	if x != nil {
		return x.ActiveCluster
	}
	return ""
}

type DomainNotActiveError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Domain         string `protobuf:"bytes,1,opt,name=domain,proto3" json:"domain,omitempty"`
	CurrentCluster string `protobuf:"bytes,2,opt,name=current_cluster,json=currentCluster,proto3" json:"current_cluster,omitempty"`
	ActiveCluster  string `protobuf:"bytes,3,opt,name=active_cluster,json=activeCluster,proto3" json:"active_cluster,omitempty"`
}

func (x *DomainNotActiveError) Reset() {
	*x = DomainNotActiveError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DomainNotActiveError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DomainNotActiveError) ProtoMessage() {}

func (x *DomainNotActiveError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DomainNotActiveError.ProtoReflect.Descriptor instead.
func (*DomainNotActiveError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{2}
}

func (x *DomainNotActiveError) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

func (x *DomainNotActiveError) GetCurrentCluster() string {
	if x != nil {
		return x.CurrentCluster
	}
	return ""
}

func (x *DomainNotActiveError) GetActiveCluster() string {
	if x != nil {
		return x.ActiveCluster
	}
	return ""
}

type RetryTaskV2Error struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DomainId          string             `protobuf:"bytes,1,opt,name=domain_id,json=domainId,proto3" json:"domain_id,omitempty"`
	WorkflowExecution *WorkflowExecution `protobuf:"bytes,2,opt,name=workflow_execution,json=workflowExecution,proto3" json:"workflow_execution,omitempty"`
	StartEventId      int64              `protobuf:"varint,3,opt,name=start_event_id,json=startEventId,proto3" json:"start_event_id,omitempty"`
	StartEventVersion int64              `protobuf:"varint,4,opt,name=start_event_version,json=startEventVersion,proto3" json:"start_event_version,omitempty"`
	EndEventId        int64              `protobuf:"varint,5,opt,name=end_event_id,json=endEventId,proto3" json:"end_event_id,omitempty"`
	EndEventVersion   int64              `protobuf:"varint,6,opt,name=end_event_version,json=endEventVersion,proto3" json:"end_event_version,omitempty"`
}

func (x *RetryTaskV2Error) Reset() {
	*x = RetryTaskV2Error{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RetryTaskV2Error) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RetryTaskV2Error) ProtoMessage() {}

func (x *RetryTaskV2Error) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RetryTaskV2Error.ProtoReflect.Descriptor instead.
func (*RetryTaskV2Error) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{3}
}

func (x *RetryTaskV2Error) GetDomainId() string {
	if x != nil {
		return x.DomainId
	}
	return ""
}

func (x *RetryTaskV2Error) GetWorkflowExecution() *WorkflowExecution {
	if x != nil {
		return x.WorkflowExecution
	}
	return nil
}

func (x *RetryTaskV2Error) GetStartEventId() int64 {
	if x != nil {
		return x.StartEventId
	}
	return 0
}

func (x *RetryTaskV2Error) GetStartEventVersion() int64 {
	if x != nil {
		return x.StartEventVersion
	}
	return 0
}

func (x *RetryTaskV2Error) GetEndEventId() int64 {
	if x != nil {
		return x.EndEventId
	}
	return 0
}

func (x *RetryTaskV2Error) GetEndEventVersion() int64 {
	if x != nil {
		return x.EndEventVersion
	}
	return 0
}

type ClientVersionNotSupportedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FeatureVersion    string `protobuf:"bytes,1,opt,name=feature_version,json=featureVersion,proto3" json:"feature_version,omitempty"`
	ClientImpl        string `protobuf:"bytes,2,opt,name=client_impl,json=clientImpl,proto3" json:"client_impl,omitempty"`
	SupportedVersions string `protobuf:"bytes,3,opt,name=supported_versions,json=supportedVersions,proto3" json:"supported_versions,omitempty"`
}

func (x *ClientVersionNotSupportedError) Reset() {
	*x = ClientVersionNotSupportedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClientVersionNotSupportedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClientVersionNotSupportedError) ProtoMessage() {}

func (x *ClientVersionNotSupportedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClientVersionNotSupportedError.ProtoReflect.Descriptor instead.
func (*ClientVersionNotSupportedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{4}
}

func (x *ClientVersionNotSupportedError) GetFeatureVersion() string {
	if x != nil {
		return x.FeatureVersion
	}
	return ""
}

func (x *ClientVersionNotSupportedError) GetClientImpl() string {
	if x != nil {
		return x.ClientImpl
	}
	return ""
}

func (x *ClientVersionNotSupportedError) GetSupportedVersions() string {
	if x != nil {
		return x.SupportedVersions
	}
	return ""
}

type CurrentBranchChangedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CurrentBranchToken []byte `protobuf:"bytes,1,opt,name=current_branch_token,json=currentBranchToken,proto3" json:"current_branch_token,omitempty"`
}

func (x *CurrentBranchChangedError) Reset() {
	*x = CurrentBranchChangedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CurrentBranchChangedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CurrentBranchChangedError) ProtoMessage() {}

func (x *CurrentBranchChangedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CurrentBranchChangedError.ProtoReflect.Descriptor instead.
func (*CurrentBranchChangedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{5}
}

func (x *CurrentBranchChangedError) GetCurrentBranchToken() []byte {
	if x != nil {
		return x.CurrentBranchToken
	}
	return nil
}

type CancellationAlreadyRequestedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CancellationAlreadyRequestedError) Reset() {
	*x = CancellationAlreadyRequestedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CancellationAlreadyRequestedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CancellationAlreadyRequestedError) ProtoMessage() {}

func (x *CancellationAlreadyRequestedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CancellationAlreadyRequestedError.ProtoReflect.Descriptor instead.
func (*CancellationAlreadyRequestedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{6}
}

type DomainAlreadyExistsError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DomainAlreadyExistsError) Reset() {
	*x = DomainAlreadyExistsError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DomainAlreadyExistsError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DomainAlreadyExistsError) ProtoMessage() {}

func (x *DomainAlreadyExistsError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DomainAlreadyExistsError.ProtoReflect.Descriptor instead.
func (*DomainAlreadyExistsError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{7}
}

type EventAlreadyStartedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *EventAlreadyStartedError) Reset() {
	*x = EventAlreadyStartedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EventAlreadyStartedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EventAlreadyStartedError) ProtoMessage() {}

func (x *EventAlreadyStartedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EventAlreadyStartedError.ProtoReflect.Descriptor instead.
func (*EventAlreadyStartedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{8}
}

type LimitExceededError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *LimitExceededError) Reset() {
	*x = LimitExceededError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LimitExceededError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LimitExceededError) ProtoMessage() {}

func (x *LimitExceededError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LimitExceededError.ProtoReflect.Descriptor instead.
func (*LimitExceededError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{9}
}

type QueryFailedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *QueryFailedError) Reset() {
	*x = QueryFailedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QueryFailedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QueryFailedError) ProtoMessage() {}

func (x *QueryFailedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QueryFailedError.ProtoReflect.Descriptor instead.
func (*QueryFailedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{10}
}

type RemoteSyncMatchedError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *RemoteSyncMatchedError) Reset() {
	*x = RemoteSyncMatchedError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RemoteSyncMatchedError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoteSyncMatchedError) ProtoMessage() {}

func (x *RemoteSyncMatchedError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoteSyncMatchedError.ProtoReflect.Descriptor instead.
func (*RemoteSyncMatchedError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{11}
}

type ServiceBusyError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ServiceBusyError) Reset() {
	*x = ServiceBusyError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServiceBusyError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServiceBusyError) ProtoMessage() {}

func (x *ServiceBusyError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServiceBusyError.ProtoReflect.Descriptor instead.
func (*ServiceBusyError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{12}
}

type ShardOwnershipLostError struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ShardOwnershipLostError) Reset() {
	*x = ShardOwnershipLostError{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uber_cadence_api_v1_error_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShardOwnershipLostError) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShardOwnershipLostError) ProtoMessage() {}

func (x *ShardOwnershipLostError) ProtoReflect() protoreflect.Message {
	mi := &file_uber_cadence_api_v1_error_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShardOwnershipLostError.ProtoReflect.Descriptor instead.
func (*ShardOwnershipLostError) Descriptor() ([]byte, []int) {
	return file_uber_cadence_api_v1_error_proto_rawDescGZIP(), []int{13}
}

var File_uber_cadence_api_v1_error_proto protoreflect.FileDescriptor

var file_uber_cadence_api_v1_error_proto_rawDesc = []byte{
	0x0a, 0x1f, 0x75, 0x62, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x76, 0x31, 0x2f, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x13, 0x75, 0x62, 0x65, 0x72, 0x2e, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x1a, 0x20, 0x75, 0x62, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x64,
	0x65, 0x6e, 0x63, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x67, 0x0a, 0x24, 0x57, 0x6f, 0x72, 0x6b,
	0x66, 0x6c, 0x6f, 0x77, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x41, 0x6c, 0x72,
	0x65, 0x61, 0x64, 0x79, 0x53, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72,
	0x12, 0x28, 0x0a, 0x10, 0x73, 0x74, 0x61, 0x72, 0x74, 0x5f, 0x72, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x73, 0x74, 0x61, 0x72,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x12, 0x15, 0x0a, 0x06, 0x72, 0x75,
	0x6e, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x72, 0x75, 0x6e, 0x49,
	0x64, 0x22, 0x66, 0x0a, 0x14, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x4e, 0x6f, 0x74, 0x45, 0x78,
	0x69, 0x73, 0x74, 0x73, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x27, 0x0a, 0x0f, 0x63, 0x75, 0x72,
	0x72, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74,
	0x65, 0x72, 0x12, 0x25, 0x0a, 0x0e, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x63, 0x6c, 0x75,
	0x73, 0x74, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x61, 0x63, 0x74, 0x69,
	0x76, 0x65, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x22, 0x7e, 0x0a, 0x14, 0x44, 0x6f, 0x6d,
	0x61, 0x69, 0x6e, 0x4e, 0x6f, 0x74, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x45, 0x72, 0x72, 0x6f,
	0x72, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x12, 0x27, 0x0a, 0x0f, 0x63, 0x75, 0x72,
	0x72, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74,
	0x65, 0x72, 0x12, 0x25, 0x0a, 0x0e, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x63, 0x6c, 0x75,
	0x73, 0x74, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x61, 0x63, 0x74, 0x69,
	0x76, 0x65, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x22, 0xaa, 0x02, 0x0a, 0x10, 0x52, 0x65,
	0x74, 0x72, 0x79, 0x54, 0x61, 0x73, 0x6b, 0x56, 0x32, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x1b,
	0x0a, 0x09, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x08, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x49, 0x64, 0x12, 0x55, 0x0a, 0x12, 0x77,
	0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x5f, 0x65, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x75, 0x62, 0x65, 0x72, 0x2e, 0x63,
	0x61, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x57, 0x6f,
	0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69, 0x6f, 0x6e, 0x52,
	0x11, 0x77, 0x6f, 0x72, 0x6b, 0x66, 0x6c, 0x6f, 0x77, 0x45, 0x78, 0x65, 0x63, 0x75, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x24, 0x0a, 0x0e, 0x73, 0x74, 0x61, 0x72, 0x74, 0x5f, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0c, 0x73, 0x74, 0x61, 0x72,
	0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x2e, 0x0a, 0x13, 0x73, 0x74, 0x61, 0x72,
	0x74, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x11, 0x73, 0x74, 0x61, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x20, 0x0a, 0x0c, 0x65, 0x6e, 0x64, 0x5f,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a,
	0x65, 0x6e, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x2a, 0x0a, 0x11, 0x65, 0x6e,
	0x64, 0x5f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0f, 0x65, 0x6e, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x56,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x99, 0x01, 0x0a, 0x1e, 0x43, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x4e, 0x6f, 0x74, 0x53, 0x75, 0x70, 0x70, 0x6f,
	0x72, 0x74, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x27, 0x0a, 0x0f, 0x66, 0x65, 0x61,
	0x74, 0x75, 0x72, 0x65, 0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0e, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x1f, 0x0a, 0x0b, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x6d, 0x70,
	0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49,
	0x6d, 0x70, 0x6c, 0x12, 0x2d, 0x0a, 0x12, 0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64,
	0x5f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x11, 0x73, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x65, 0x64, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x73, 0x22, 0x4d, 0x0a, 0x19, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x42, 0x72, 0x61,
	0x6e, 0x63, 0x68, 0x43, 0x68, 0x61, 0x6e, 0x67, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12,
	0x30, 0x0a, 0x14, 0x63, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x5f, 0x62, 0x72, 0x61, 0x6e, 0x63,
	0x68, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x12, 0x63,
	0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x42, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x54, 0x6f, 0x6b, 0x65,
	0x6e, 0x22, 0x23, 0x0a, 0x21, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x6c, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x41, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x65,
	0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x22, 0x1a, 0x0a, 0x18, 0x44, 0x6f, 0x6d, 0x61, 0x69, 0x6e,
	0x41, 0x6c, 0x72, 0x65, 0x61, 0x64, 0x79, 0x45, 0x78, 0x69, 0x73, 0x74, 0x73, 0x45, 0x72, 0x72,
	0x6f, 0x72, 0x22, 0x1a, 0x0a, 0x18, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x41, 0x6c, 0x72, 0x65, 0x61,
	0x64, 0x79, 0x53, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x22, 0x14,
	0x0a, 0x12, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x45, 0x78, 0x63, 0x65, 0x65, 0x64, 0x65, 0x64, 0x45,
	0x72, 0x72, 0x6f, 0x72, 0x22, 0x12, 0x0a, 0x10, 0x51, 0x75, 0x65, 0x72, 0x79, 0x46, 0x61, 0x69,
	0x6c, 0x65, 0x64, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x22, 0x18, 0x0a, 0x16, 0x52, 0x65, 0x6d, 0x6f,
	0x74, 0x65, 0x53, 0x79, 0x6e, 0x63, 0x4d, 0x61, 0x74, 0x63, 0x68, 0x65, 0x64, 0x45, 0x72, 0x72,
	0x6f, 0x72, 0x22, 0x12, 0x0a, 0x10, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x75, 0x73,
	0x79, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x22, 0x19, 0x0a, 0x17, 0x53, 0x68, 0x61, 0x72, 0x64, 0x4f,
	0x77, 0x6e, 0x65, 0x72, 0x73, 0x68, 0x69, 0x70, 0x4c, 0x6f, 0x73, 0x74, 0x45, 0x72, 0x72, 0x6f,
	0x72, 0x42, 0x56, 0x0a, 0x17, 0x63, 0x6f, 0x6d, 0x2e, 0x75, 0x62, 0x65, 0x72, 0x2e, 0x63, 0x61,
	0x64, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x42, 0x08, 0x41, 0x70,
	0x69, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x75, 0x62, 0x65, 0x72, 0x2f, 0x63, 0x61, 0x64, 0x65, 0x6e, 0x63,
	0x65, 0x2f, 0x2e, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x61, 0x70, 0x69,
	0x2f, 0x76, 0x31, 0x3b, 0x61, 0x70, 0x69, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_uber_cadence_api_v1_error_proto_rawDescOnce sync.Once
	file_uber_cadence_api_v1_error_proto_rawDescData = file_uber_cadence_api_v1_error_proto_rawDesc
)

func file_uber_cadence_api_v1_error_proto_rawDescGZIP() []byte {
	file_uber_cadence_api_v1_error_proto_rawDescOnce.Do(func() {
		file_uber_cadence_api_v1_error_proto_rawDescData = protoimpl.X.CompressGZIP(file_uber_cadence_api_v1_error_proto_rawDescData)
	})
	return file_uber_cadence_api_v1_error_proto_rawDescData
}

var file_uber_cadence_api_v1_error_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_uber_cadence_api_v1_error_proto_goTypes = []interface{}{
	(*WorkflowExecutionAlreadyStartedError)(nil), // 0: uber.cadence.api.v1.WorkflowExecutionAlreadyStartedError
	(*EntityNotExistsError)(nil),                 // 1: uber.cadence.api.v1.EntityNotExistsError
	(*DomainNotActiveError)(nil),                 // 2: uber.cadence.api.v1.DomainNotActiveError
	(*RetryTaskV2Error)(nil),                     // 3: uber.cadence.api.v1.RetryTaskV2Error
	(*ClientVersionNotSupportedError)(nil),       // 4: uber.cadence.api.v1.ClientVersionNotSupportedError
	(*CurrentBranchChangedError)(nil),            // 5: uber.cadence.api.v1.CurrentBranchChangedError
	(*CancellationAlreadyRequestedError)(nil),    // 6: uber.cadence.api.v1.CancellationAlreadyRequestedError
	(*DomainAlreadyExistsError)(nil),             // 7: uber.cadence.api.v1.DomainAlreadyExistsError
	(*EventAlreadyStartedError)(nil),             // 8: uber.cadence.api.v1.EventAlreadyStartedError
	(*LimitExceededError)(nil),                   // 9: uber.cadence.api.v1.LimitExceededError
	(*QueryFailedError)(nil),                     // 10: uber.cadence.api.v1.QueryFailedError
	(*RemoteSyncMatchedError)(nil),               // 11: uber.cadence.api.v1.RemoteSyncMatchedError
	(*ServiceBusyError)(nil),                     // 12: uber.cadence.api.v1.ServiceBusyError
	(*ShardOwnershipLostError)(nil),              // 13: uber.cadence.api.v1.ShardOwnershipLostError
	(*WorkflowExecution)(nil),                    // 14: uber.cadence.api.v1.WorkflowExecution
}
var file_uber_cadence_api_v1_error_proto_depIdxs = []int32{
	14, // 0: uber.cadence.api.v1.RetryTaskV2Error.workflow_execution:type_name -> uber.cadence.api.v1.WorkflowExecution
	1,  // [1:1] is the sub-list for method output_type
	1,  // [1:1] is the sub-list for method input_type
	1,  // [1:1] is the sub-list for extension type_name
	1,  // [1:1] is the sub-list for extension extendee
	0,  // [0:1] is the sub-list for field type_name
}

func init() { file_uber_cadence_api_v1_error_proto_init() }
func file_uber_cadence_api_v1_error_proto_init() {
	if File_uber_cadence_api_v1_error_proto != nil {
		return
	}
	file_uber_cadence_api_v1_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_uber_cadence_api_v1_error_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WorkflowExecutionAlreadyStartedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EntityNotExistsError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DomainNotActiveError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RetryTaskV2Error); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClientVersionNotSupportedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CurrentBranchChangedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CancellationAlreadyRequestedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DomainAlreadyExistsError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EventAlreadyStartedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LimitExceededError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QueryFailedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RemoteSyncMatchedError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServiceBusyError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uber_cadence_api_v1_error_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShardOwnershipLostError); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_uber_cadence_api_v1_error_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_uber_cadence_api_v1_error_proto_goTypes,
		DependencyIndexes: file_uber_cadence_api_v1_error_proto_depIdxs,
		MessageInfos:      file_uber_cadence_api_v1_error_proto_msgTypes,
	}.Build()
	File_uber_cadence_api_v1_error_proto = out.File
	file_uber_cadence_api_v1_error_proto_rawDesc = nil
	file_uber_cadence_api_v1_error_proto_goTypes = nil
	file_uber_cadence_api_v1_error_proto_depIdxs = nil
}
